<template>
    <q-dialog ref="dialogRef">
        <q-card :style="{ minWidth: arrayData.length === 0 ? '' : '80vw' }">
            <q-card-section v-if="arrayData.length > 0">
                <h6 class="q-ma-none">Movimentações no card</h6>
            </q-card-section>
            <q-card-section class="flex flex-center" v-if="arrayData.length === 0">
                <h6>Não existem movimentações para teste card.</h6>
            </q-card-section>
            <q-card-section v-else class="scroll" :style="{ height: 'calc(100vh - 300px)' }">
                <q-list>
                    <q-item class="q-mb-sm bg-grey-3" :style="{ border: '1px solid #ccc' }" v-for="action in arrayData" :key="action.id">
                        <q-item-section >
                            <div v-if="action.data?.text">
                                <div class="q-mb-md">
                                    <span class="q-ma-none text-bold text-uppercase q-mb-sm">{{ action.memberCreator.fullName }} - {{ (new Date(action.date)).toLocaleString('pt-BR') }}</span>
                                </div>
                                <span class="text-primary text-bold">{{ action.data.text }}</span>
                            </div>
                            <div v-if="action.data?.listAfter">
                                <div class="q-mb-md">
                                    <span class="q-ma-none text-bold text-uppercase q-mb-sm">{{ action.memberCreator.fullName }} - {{ (new Date(action.date)).toLocaleString('pt-BR') }}</span>
                                </div>
                                <q-btn rounded outline color="positive">{{ action.data.listBefore.name }}</q-btn>&nbsp;&nbsp;<q-icon name="east"></q-icon>&nbsp;&nbsp;
                                <q-btn rounded outline color="primary">{{ action.data.listAfter.name }}</q-btn>
                            </div>
                        </q-item-section>
                    </q-item>
                </q-list>
            </q-card-section>
            <q-card-actions align="center">
                <q-btn label="Fechar" color="positive" v-close-popup></q-btn>
            </q-card-actions>
        </q-card>
    </q-dialog>
</template>

<script setup>
import {onMounted} from "vue";
import { useDialogPluginComponent } from 'quasar'

const { dialogRef, onDialogHide, onDialogOK, onDialogCancel } = useDialogPluginComponent()
const props = defineProps({
    arrayData: { type: Array, default: null }
})

onMounted(() => {
    console.log('onomonted', props.arrayData)
})
</script>
